Subject: Re: [PATCH net v2] net: phy: Fix qca8081 with speeds lower than 2.5Gb/s

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 31 Jan 2022 14:19:12 +0000

On Mon, Jan 31, 2022 at 01:56:41PM +0000, Jonathan McDowell wrote:
> A typo in qca808x_read_status means we try to set SMII mode on the port
> rather than SGMII when the link speed is not 2.5Gb/s. This results in no
> traffic due to the mismatch in configuration between the phy and the
> mac.
> 
> v2:
>  Only change interface mode when the link is up
> 
> Fixes: 79c7bc0521545 ("net: phy: add qca8081 read_status")
> Cc: [email-masked]
> Signed-off-by: Jonathan McDowell <[email-masked]>

Thanks!

Reviewed-by: Russell King (Oracle) <[email-masked]>

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!